Get all invoices
Request Information
URI Parameters :
None.
Body Parameters :
None.
Response Information
Resource Description :
invoice_view| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier | |
| internal_number |
Internal number to identify the invoice |
string | |
| company_id |
Foreign key to company, identifies the company of the invoice |
globally unique identifier | |
| company_code |
Company code of the invoice |
string | |
| company_name |
Company name of the invoice |
string | |
| company_email |
Company email of the invoice |
string | |
| company_phone |
Company phone of the invoice |
string | |
| date_create |
Invoice creation date in utc |
date | |
| memo |
Memo field for invoice |
string | |
| description |
Decription field for invoice |
string | |
| invoice_type |
Invoice type, possible values “ContractGenerated“ and “WorkOrderApproval“ |
string | |
| source_type |
Source of invoice, refers to the type of the object from which invoice is derived |
string | |
| source_id_in_table |
Key of the object from which the invoice is derived |
globally unique identifier | |
| total_lines |
Total amount of lines linked to the invoice |
integer | |
| total_amount |
Total value of items in lines linked to the invoice |
decimal number | |
| db_currency_id |
Key of db_currency entity, identifies the db_currency of the invoice |
globally unique identifier | |
| total_taxes |
Total taxes |
decimal number | |
| due_date |
The due date |
date | |
| source_db_table_name |
The name of db table |
string | |
| delivery_name |
The delivery name |
string | |
| delivery_street |
The street for delivery |
string | |
| delivery_city |
The city for delivery |
string | |
| delivery_zip |
The zip for delivery |
string | |
| delivery_db_country_name |
The country name for delivery |
string | |
| reference_back_office |
Reference data for back office |
string | |
| db_payment_method_id |
Payment method id |
globally unique identifier | |
| id2 |
id for internal |
integer | |
| customer_remarks |
Customer remarks |
string | |
| bill_to_party |
The bill to party |
string | |
| bill_to_contact_id |
Contact id for bill |
globally unique identifier | |
| contact_id |
Contact id of invoice |
globally unique identifier | |
| article_price_label_id |
Article price label id |
globally unique identifier | |
| db_language_id |
The language id |
globally unique identifier | |
| invoice_status_id |
The status id of invoice |
globally unique identifier | |
| invoice_status_name |
The status name of invoice |
string | |
| discount_group_id |
The id of discount group |
globally unique identifier | |
| discount |
Discount value |
decimal number | |
|
The email |
string | ||
| invoice_number |
Invoice number |
string | |
| bill_to_company_id |
Company id for bill |
globally unique identifier | |
| dateutc_confirmation |
The confirmation date (UTC) |
date | |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date | |
| invoice_details |
Details of invoice |
Collection of invoice_details_view | |
| db_payment_method_name |
Payment method name of the invoice |
string | |
| db_payment_method_pm |
Payment method pm of the invoice |
string |
Response Formats
application/json, text/json
{
"id": "e24232f0-8178-477f-b7e7-f6bff2f19b8e",
"internal_number": "sample string 2",
"company_id": "d554a73a-b49f-4fc4-adc2-02108d2b81e7",
"company_code": "sample string 4",
"company_name": "sample string 5",
"company_email": "sample string 6",
"company_phone": "sample string 7",
"date_create": "2026-11-01T22:16:19.7341288+00:00",
"memo": "sample string 9",
"description": "sample string 10",
"invoice_type": "sample string 11",
"source_type": "sample string 12",
"source_id_in_table": "e366a34a-132b-48b7-a44b-5a04dafd72b0",
"total_lines": 14,
"total_amount": 15.0,
"db_currency_id": "5e8d9a1f-4a22-40a8-ada9-e5645c675d69",
"total_taxes": 17.0,
"due_date": "2026-11-01T22:16:19.7341288+00:00",
"source_db_table_name": "sample string 19",
"delivery_name": "sample string 20",
"delivery_street": "sample string 21",
"delivery_city": "sample string 22",
"delivery_zip": "sample string 23",
"delivery_db_country_name": "sample string 24",
"reference_back_office": "sample string 25",
"db_payment_method_id": "8ca36287-b8af-4532-90f0-673f28191454",
"id2": 27,
"customer_remarks": "sample string 28",
"bill_to_party": "sample string 29",
"bill_to_contact_id": "6ccc2f1c-be73-42c7-9c62-5e6e76de8e09",
"contact_id": "586c56ca-7dfb-4836-9f14-136fd644e689",
"article_price_label_id": "5006b971-3c1a-456b-a084-f5db52d78575",
"db_language_id": "c5c04a4e-5a2c-4454-af98-882164a4d09a",
"invoice_status_id": "9f63cf72-2517-45cb-a163-4dbf57181d59",
"invoice_status_name": "sample string 35",
"discount_group_id": "80b5333e-d158-47e6-9370-d702f416c967",
"discount": 37.0,
"email": "sample string 38",
"invoice_number": "sample string 39",
"bill_to_company_id": "89d704b5-1f42-4bb6-a895-e69eec94d7e7",
"dateutc_confirmation": "2026-11-01T22:16:19.7341288+00:00",
"modified_dateutc": "2026-11-01T22:16:19.7341288+00:00",
"invoice_details": [
{
"id": "cdf5a524-da9d-4208-864a-32fff60598f5",
"invoice_id": "9eeff410-bd9b-4c01-9b84-edd34a507084",
"article_id": "797f835e-3f47-4d6d-b48e-9f9ce4768f60",
"article_name": "sample string 4",
"article_description": "sample string 5",
"article_code": "sample string 6",
"line_num": 7,
"quantity_decimal": 9.0,
"article_price": 10.0,
"discount": 11.0,
"vat_rate": 12.0,
"vat_value": 13.0,
"total_vat": 14.0,
"total_line": 15.0,
"total_line_with_vat": 16.0,
"source_db_table_name": "sample string 17",
"source_id_in_table": "2fdac8bc-878a-49cc-8b93-cce7a691ef36",
"serial_number": "sample string 19",
"no_warranty_reason": "sample string 20",
"is_under_warranty": true,
"discount_percentage": 22.0,
"cost_price": 23.0,
"company_vat_id": "38518de1-ec85-4d4c-9722-06ff8ef7b403",
"company_vat_code": "sample string 25",
"modified_dateutc": "2026-11-01T22:16:19.7341288+00:00"
},
{
"id": "cdf5a524-da9d-4208-864a-32fff60598f5",
"invoice_id": "9eeff410-bd9b-4c01-9b84-edd34a507084",
"article_id": "797f835e-3f47-4d6d-b48e-9f9ce4768f60",
"article_name": "sample string 4",
"article_description": "sample string 5",
"article_code": "sample string 6",
"line_num": 7,
"quantity_decimal": 9.0,
"article_price": 10.0,
"discount": 11.0,
"vat_rate": 12.0,
"vat_value": 13.0,
"total_vat": 14.0,
"total_line": 15.0,
"total_line_with_vat": 16.0,
"source_db_table_name": "sample string 17",
"source_id_in_table": "2fdac8bc-878a-49cc-8b93-cce7a691ef36",
"serial_number": "sample string 19",
"no_warranty_reason": "sample string 20",
"is_under_warranty": true,
"discount_percentage": 22.0,
"cost_price": 23.0,
"company_vat_id": "38518de1-ec85-4d4c-9722-06ff8ef7b403",
"company_vat_code": "sample string 25",
"modified_dateutc": "2026-11-01T22:16:19.7341288+00:00"
}
],
"db_payment_method_name": "sample string 43",
"db_payment_method_pm": "sample string 44"
}